/* 
 * eh_sgl.h
 * 
 * Practical Algorithms for Image Analysis
 * 
 * Copyright (c) 1997, 1998, 1999 MLMSoftwareGroup, LLC
 */

#ifndef _EH_SGL_H_
#define	_EH_SGL_H_

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <fcntl.h>
#include <memory.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>
#include "ip.h"

/* function prototypes */
extern void usage (char *progname);
extern void skip_n_lines (FILE * file_pointer, int n_lines_to_skip);
#if defined(LINUX)
extern int compare (float *t1, float *t2);
#else
extern int compare (const void *t1, const void *t2);
#endif
extern double find_mean (float *data, int n);
extern double find_sigma (float *data, int n, double mean);
extern void construct_hist (int n, float *data, float *hist, double bw, double data_base);
extern void main (int argc, char *argv[]);

#endif /* _EH_SGL_H_ */
