/* 
 * xsgll.h
 * 
 * Practical Algorithms for Image Analysis
 * 
 * Copyright (c) 1997, 1998, 1999 MLMSoftwareGroup, LLC
 */

#ifndef _XSGLL_H_
#define	_XSGLL_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <malloc.h>
#include <math.h>

#include "ip.h"

/* function prototypes */

/* in xsgll.c */
extern void init_sall (struct linklist *segm_adj_list);
extern void init_sgll (struct linklist *segm_group_list);
extern int rm_llistlink (struct linklist *list);
extern void tshow_segm_list (struct linklist *list, int index);
extern void show_segm_list (struct linklist *list, int index);
extern float fslope (struct spoint pt1, struct spoint pt2);
extern void get_record_size (FILE * file, int *n_segm, int *xmax, int *ymax);
extern void init_segm (FILE * fp, int n_segm, struct Segm *segm);
extern void gprintf (FILE * fpOut, char *fmt,...);
extern void exitmess (char *prompt, int status);
extern void usage (char *progname);
extern void main (int argc, char *argv[]);
/* in sgl_to_p.c */
extern Boolean swap_pts (struct spoint *pt1, struct spoint *pt2);
extern double construct_va (struct Segm *segm, struct linklist *list,
                            int *nva, struct spoint *va);
/* in sgll.c */
extern Boolean check_sal_stat (Boolean * ActiveSegm, struct linklist *cccsall);
extern struct Segmtype *fetch_segm (struct linklist *csall, int sgl_ind);
extern int cmpSegmdist (struct Segmtype *oldSegm, struct Segmtype *newSegm);
extern Boolean cmpdij (struct Segmtype *newSegm,
                       int sign_dij, struct linklist *sall);
extern float fetch_pki (struct linklist *csall, int sgl_ind);
extern void llexpand (struct Segmtype *Segm, struct linklist *list);
extern int construct_sgll (struct Segm *segm, struct linklist *sall,
                     struct linklist *sgll, int n_segm, double ovlp_thresh);
/* in llpar1.c */
extern int parallelpar (struct spoint ptO1, struct spoint ptF1, struct spoint ptO2,
                        struct spoint ptF2, double *dist, double *overlap);
/* in prlpar.c */
extern void prlpar (struct spoint ptO1, struct spoint ptF1, struct spoint ptO2,
                    struct spoint ptF2, double *dist12, double *dist21,
                    double *overlap12, double *overlap21);
/* in sall.c */
extern int cmpSegmpji (struct Segmtype *oldSegm, struct Segmtype *newSegm);
extern Boolean cmppji (struct Segmtype *newSegm, struct linklist *sall);
extern float fslope (struct spoint pt1, struct spoint pt2);
extern void show_segment (int index, struct Segm *segm, struct Segmtype *rSegm);
extern struct Segmtype *init_node (struct linklist *list, int index,
                                   struct Segmtype *cSegm);
extern int construct_sall (struct linklist *sall, struct Segm *segm,
                           int n_segm, double angl_thresh,
                           double ovlp_thresh, double d_max);
/* in testsegm.c */
extern void init_testsegm (struct Segm *testsegm, int n_segm);

#endif
/*_XSGLL_H_ */
